NCTDesignBox

Version 1.01

The NCTDesignBox is package of ActiveX Controls, which help you to design a beautiful and functional multimedia application.

NCTDesignBox includes next controls:

Name | Description
AmpBar | Amplification bar for displaying amplitude of signal.
CMU | Color music.
HorSliderVer01 | Horizontal slider.
HorSliderVer02 | Horizontal slider.
PlayButtonsVer01 | Control center for playback, record and track choosing.
StepButtonVer01 | Control for changing Volume of playback or Gain of record.
VertSliderVer01 | Vertical slider.
VertSliderVer02 | Vertical slider.
VolumeButtonVer01 | Control for changing Volume of playback.
VolumeButtonVer02 | Control for changing Volume of playback.

You can insert these controls in your application, maintaining ActiveX controls, such as MS Visual Basic, MS Visual C++, MS Visual FoxPro and others.


AmpBar ActiveX Control

Version 1.01

Properties

The AmpBar ActiveX Control is amplification bar for displaying amplitude of signal.


Properties

Properties (AmpBar)

Appearance
Style | Orientation
TickWidth | TickInterval
PickWidth | Border
Colors
BackColor | PickColor
TickBackColor | TickColor
BorderColor
Behavior
Value | Speed
Max | Min
Misc
KeyCode


BackColor Property

BackColor Property (AmpBar)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


Border Property

Border Property (AmpBar)

Returns or sets type of border.

Syntax

object.Border [ = AmpBarBorder ]

The settings for return value are:

Setting | Meaning | Description
abbNone | 0 | Border is absent.
abbSingle | 1 | Border is single.
abbLowered | 2 | Border is lowered.
abbRaised | 3 | Border is raised.


BorderColor Property

BorderColor Property (AmpBar)

Returns or sets RGB color of border using standard Windows palette.

Syntax

object.BorderColor [ = OLE_COLOR ]


KeyCode Property

KeyCode Property (AmpBar)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (AmpBar)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


Min Property

Min Property (AmpBar)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


Orientation Property

Orientation Property (AmpBar)

Returns or sets orientation of amplification bar.

Syntax

object.Orientation [ = AmpBarOrientation ]

The settings for return value are:

Setting | Meaning | Description
aboHorisontal | 0 | Amplify bar is horizontal.
aboVertical | 1 | Amplify bar is vertical.


PickColor Property

PickColor Property (AmpBar)

Returns or sets RGB color of pick area using standard Windows palette.

Syntax

object.PickColor [ = OLE_COLOR ]


PickWidth Property

PickWidth Property (AmpBar)

Returns or sets width of pick area in percents from width of amplification bar.

Syntax

object.PickWidth [ = Long ]


Speed Property

Speed Property (AmpBar)

Returns or sets speed of moving of amplitude meter.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Style Property

Style Property (AmpBar)

Returns or sets style of amplification bar.

Syntax

object.Style [ = AmpBarStyle ]

The settings for return value are:

Setting | Meaning | Description
absStandart | 0 | Amplify bar has standard style.
absColorTransform | 1 | Amplify bar has color transforming style.


TickBackColor Property

TickBackColor Property (AmpBar)

Returns or sets RGB color of tick background using standard Windows palette.

Syntax

object.TickBackColor [ = OLE_COLOR ]


TickColor Property

TickColor Property (AmpBar)

Returns or sets RGB color of ticks using standard Windows palette.

Syntax

object.TickColor [ = OLE_COLOR ]


TickInterval Property

TickInterval Property (AmpBar)

Returns or sets width of interval between ticks.

Syntax

object.TickInterval [ = Long ]

Remarks

This property can take only positive values.


TickWidth Property

TickWidth Property (AmpBar)

Returns or sets width of ticks.

Syntax

object.TickWidth [ = Long ]

Remarks

This property can take only positive values.


Value Property

Value Property (AmpBar)

Returns or sets value of amplitude.

Syntax

object.Value [ = Long]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly.


CMU ActiveX Control

Version 1.01

Properties

With CMU ActiveX Control you can create your own color music.


Properties

Properties (CMU)

Colors
BackColor Color
ColorTransformPrecent
Behavior
Value | Speed
Max | Min
Misc
KeyCode


BackColor Property

BackColor Property (CMU)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


Color Property

Color Property (CMU)

Returns or sets RGB color of the object.

Syntax

object.BackColor [ = OLE_COLOR ]


ColorTransformPercent Property

ColorTransformPercent Property (CMU)

Returns or sets percent of changing of intensity of the color of the object.

Syntax

object.ColorTransformPercent [ = Integer ]


KeyCode Property

KeyCode Property (CMU)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (CMU)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]

Remarks

This property can't exceed 100.


Min Property

Min Property (CMU)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]

Remarks

This property can't be less than 0.


Speed Property

Speed Property (CMU)

Returns or sets speed of changing of intensity of color.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Value Property

Value Property (CMU)

Returns or sets value of intensity of object's color.

Syntax

object.Value [ = Long]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly.


HorSliderVer01 ActiveX Control

Version 1.01

Properties

Events

The HorSliderVer01 ActiveX Control is a horizontal slider.


Properties

Properties (HorSliderVer01)

Appearance
SliderSize Border
Colors
BackColor BorderColor
Behavior
Value | Speed
Max | Min
Enabled | Downed
Misc
KeyCode


BackColor Property

BackColor Property (HorSliderVer01)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


Border Property

Border Property (HorSliderVer01)

Returns or sets type of border.

Syntax

object.Border [ = AmpBarBorder ]

The settings for return value are:

Setting | Meaning | Description
abbNone | 0 | Border is absent.
abbSingle | 1 | Border is single.
abbLowered | 2 | Border is lowered.
abbRaised | 3 | Border is raised.


BorderColor Property

BorderColor Property (HorSliderVer01)

Returns or sets RGB color of border using standard Windows palette.

Syntax

object.BorderColor [ = OLE_COLOR ]


Downed Property

Downed Property (HorSliderVer01)

Returns or sets flag indicating if slider is downed while pressing on it or not.

Syntax

object.Downed [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is downed.
False | Slider isn't downed.


Enabled Property

Enabled Property (HorSliderVer01)

Returns or sets flag indicating if slider is enabled or not.

Syntax

object.Enabled [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is enabled.
False | Slider isn't enabled.


KeyCode Property

KeyCode Property (HorSliderVer01)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (HorSliderVer01)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


Min Property

Min Property (HorSliderVer01)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


Orientation Property

SliderSize Property (HorSliderVer01)

Returns or sets size of slider.

Syntax

object.SliderSize [ = SliderSizeStyle ]

The settings for return value are:

Setting | Meaning | Description
sssSmall | 0 | Slider has a small size.
sssBig | 1 | Slider has a big size.


Speed Property

Speed Property (HorSliderVer01)

Returns or sets speed of moving of slider.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Value Property

Value Property (HorSliderVer01)

Returns or sets value in slider.

Syntax

object.Value [ = Long]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly. If Value is changing then ValueChange event is generated.


Events

Events (HorSliderVer01)

ValueChange | MouseMove
MouseUp | MouseDown


MouseDown event

MouseDown Event (HorSliderVer01)

Occurs when the user presses the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseDown (Button, Shift, x, y)

The MouseDown event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseMove event

MouseMove Event (HorSliderVer01)

Occurs when the user moves the mouse. This is standard ActiveX event.

Syntax

Private Sub object_MouseMove (Button, Shift, x, y)

The MouseMove event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseUp event

MouseUp Event (HorSliderVer01)

Occurs when the user releases the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseUp (Button, Shift, x, y )

The MouseUp event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


ValueChange event

ValueChange Event (HorSliderVer01)

Occurs when Value property is changing.

Syntax

Private Sub object_ValueChange (Value)

Part | Type | Description
Value | Long | Meaning of value.


HorSliderVer02 ActiveX Control

Version 1.01

Properties

Events

The HorSliderVer02 ActiveX Control is a horizontal slider.


Properties

Properties (HorSliderVer02)

Appearance
Border
Colors
BackColor BorderColor
SliderBackColor
Behavior
Value | Speed
Max | Min
Enabled
Misc
KeyCode


BackColor Property

BackColor Property (HorSliderVer02)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


Border Property

Border Property (HorSliderVer02)

Returns or sets type of border.

Syntax

object.Border [ = AmpBarBorder ]

The settings for return value are:

Setting | Meaning | Description
abbNone | 0 | Border is absent.
abbSingle | 1 | Border is single.
abbLowered | 2 | Border is lowered.
abbRaised | 3 | Border is raised.


BorderColor Property

BorderColor Property (HorSliderVer02)

Returns or sets RGB color of border using standard Windows palette.

Syntax

object.BorderColor [ = OLE_COLOR ]


Enabled Property

Enabled Property (HorSliderVer02)

Returns or sets flag indicating if slider is enabled or not.

Syntax

object.Enabled [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is enabled.
False | Slider isn't enabled.


KeyCode Property

KeyCode Property (HorSliderVer02)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (HorSliderVer02)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


Min Property

Min Property (HorSliderVer02)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


SliderBackColor Property

SliderBackColor Property (HorSliderVer02)

Returns or sets RGB color of slider background using standard Windows palette.

Syntax

object.SliderBackColor [ = OLE_COLOR ]


Speed Property

Speed Property (HorSliderVer02)

Returns or sets speed of moving of slider.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Value Property

Value Property (HorSliderVer02)

Returns or sets value in slider.

Syntax

object.Value [ = Long]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly. If Value is changing then ValueChange event is generated.


Events

Events (HorSliderVer02)

ValueChange | MouseMove
MouseUp | MouseDown


MouseDown event

MouseDown Event (HorSliderVer02)

Occurs when the user presses the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseDown (Button, Shift, x, y)

The MouseDown event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseMove event

MouseMove Event (HorSliderVer02)

Occurs when the user moves the mouse. This is standard ActiveX event.

Syntax

Private Sub object_MouseMove (Button, Shift, x, y)

The MouseMove event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseUp event

MouseUp Event (HorSliderVer02)

Occurs when the user releases the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseUp (Button, Shift, x, y )

The MouseUp event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


ValueChange event

ValueChange Event (HorSliderVer02)

Occurs when Value property is changing.

Syntax

Private Sub object_ValueChange (Value)

Part | Type | Description
Value | Long | Meaning of value.


PlayButtonsVer01 ActiveX Control

Version 1.01

Properties

Events

The PlayButtonsVer01 ActiveX Control is control center for playback, record and track choosing.


Properties

Properties (PlayButtonsVer01)

Appearance
BtnBorder
Behavior
PlayBtnEnable | RecordBtnEnable
NextBtnEnable | PreviousBtnEnable
StopBtnEnable
Misc
KeyCode


BtnBorder Property

BtnBorder Property (PlayButtonsVer01)

Returns or sets type of border.

Syntax

object.BtnBorder [ = ButtonBorder ]

The settings for return value are:

Setting | Meaning | Description
bbNone | 0 | Border is absent.
bbSingle | 1 | Border is single.


KeyCode Property

KeyCode Property (PlayButtonsVer01)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Enabled Property

NextBtnEnable Property (PlayButtonsVer01)

Returns or sets flag indicating if button "Next" is enabled or not.

Syntax

object.NextBtnEnable [ = Boolean ]

The settings for return value are:

Setting | Description
True | Button "Next" is enabled.
False | Button "Next" isn't enabled.


PlayBtnEnable Property

PlayBtnEnable Property (PlayButtonsVer01)

Returns or sets flag indicating if button "Play" is enabled or not.

Syntax

object.PlayBtnEnable [ = Boolean ]

The settings for return value are:

Setting | Description
True | Button "Play" is enabled.
False | Button "Play" isn't enabled.


PreviousBtnEnable Property

PreviousBtnEnable Property (PlayButtonsVer01)

Returns or sets flag indicating if button "Previous" is enabled or not.

Syntax

object.PreviousBtnEnable [ = Boolean ]

The settings for return value are:

Setting | Description
True | Button "Previous" is enabled.
False | Button "Previous" isn't enabled.


RecordBtnEnable Property

RecordBtnEnable Property (PlayButtonsVer01)

Returns or sets flag indicating if button "Record" is enabled or not.

Syntax

object.RecordBtnEnable [ = Boolean ]

The settings for return value are:

Setting | Description
True | Button "Record" is enabled.
False | Button "Record" isn't enabled.


StopBtnEnable Property

StopBtnEnable Property (PlayButtonsVer01)

Returns or sets flag indicating if button "Stop" is enabled or not.

Syntax

object.StopBtnEnable [ = Boolean ]

The settings for return value are:

Setting | Description
True | Button "Stop" is enabled.
False | Button "Stop" isn't enabled.


Events

Events (PlayButtonsVer01)

BtnMouseClick | BtnMouseMove
BtnMouseUp | BtnMouseDown


BtnMouseClick event

BtnMouseClick Event (PlayButtonsVer01)

Occurs when the user presses the mouse button while an object has the focus.

Syntax

Private Sub object_BtnMouseClick (MouseButton, CtlButton)

The BtnMouseClick event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
CtlButton | Integer | Specifies cursor location.

The settings for CtlButton value are:

Setting | Description
0 | Cursor is out of buttons.
1 | Cursor is on "Play" button.
2 | Cursor is on "Next" button.
3 | Cursor is on "Record" button.
4 | Cursor is on "Previous" button.
5 | Cursor is on "Stop" button.


BtnMouseDown event

BtnMouseDown Event (PlayButtonsVer01)

Occurs when the user presses the mouse button while an object has the focus.

Syntax

Private Sub object_BtnMouseDown (MouseButton, CtlButton)

The BtnMouseDown event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
CtlButton | Integer | Specifies cursor location.

The settings for CtlButton value are:

Setting | Description
0 | Cursor is out of buttons.
1 | Cursor is on "Play" button.
2 | Cursor is on "Next" button.
3 | Cursor is on "Record" button.
4 | Cursor is on "Previous" button.
5 | Cursor is on "Stop" button.


BtnMouseMove event

BtnMouseMove Event (PlayButtonsVer01)

Occurs when the user moves the mouse.

Syntax

Private Sub object_BtnMouseMove (CtlButton)

The BtnMouseMove event syntax has these parts:

Part | Type | Description
CtlButton | Integer | Specifies cursor location.

The settings for CtlButton value are:

Setting | Description
0 | Cursor is out of buttons.
1 | Cursor is on "Play" button.
2 | Cursor is on "Next" button.
3 | Cursor is on "Record" button.
4 | Cursor is on "Previous" button.
5 | Cursor is on "Stop" button.


BtnMouseUp event

BtnMouseUp Event (PlayButtonsVer01)

Occurs when the user releases the mouse button while an object has the focus.

Syntax

Private Sub object_BtnMouseUp (MouseButton, CtlButton)

The BtnMouseUp event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
CtlButton | Integer | Specifies cursor location.

The settings for CtlButton value are:

Setting | Description
0 | Cursor is out of buttons.
1 | Cursor is on "Play" button.
2 | Cursor is on "Next" button.
3 | Cursor is on "Record" button.
4 | Cursor is on "Previous" button.
5 | Cursor is on "Stop" button.


StepButtonVer01 ActiveX Control

Version 1.01

Properties Methods

Events

The StepButtonVer01 ActiveX Control is control for changing Volume of playback or Gain of record.


Properties

Properties (StepButtonVer01)

Appearance
BtnBorder
Colors
BackColor
Behavior
Value | Speed
Max | Min
Enabled
Misc
KeyCode


BackColor Property

BackColor Property (StepButtonVer01)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


BtnBorder Property

BtnBorder Property (StepButtonVer01)

Returns or sets type of border.

Syntax

object.BtnBorder [ = ButtonBorder ]

The settings for return value are:

Setting | Meaning | Description
bbNone | 0 | Border is absent.
bbSingle | 1 | Border is single.


Enabled Property

Enabled Property (StepButtonVer01)

Returns or sets flag indicating if button is enabled or not.

Syntax

object.Enabled [ = Boolean ]

The settings for return value are:

Setting | Description
True | Button is enabled.
False | Button isn't enabled.


KeyCode Property

KeyCode Property (StepButtonVer01)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (StepButtonVer01)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


Min Property

Min Property (StepButtonVer01)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


Speed Property

Speed Property (StepButtonVer01)

Returns or sets speed of rotating of button.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Value Property

Value Property (StepButtonVer01)

Returns or sets value of amplitude.

Syntax

object.Value [ = Double]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly.


Methods

Methods (StepButtonVer01)

ScrollPlus ScrollMinus


ScrollPlus method

ScrollMinus Method (StepButtonVer01)

Rotates button counter clockwise.

Syntax

object.ScrollMinus ( )


ScrollPlus method

ScrollPlus Method (StepButtonVer01)

Rotates button clockwise.

Syntax

object.ScrollPlus ( )


Events

Events (StepButtonVer01)

MouseClick | MouseMove
MouseUp | MouseDown
ValueChange


MouseClick event

MouseClick Event (StepButtonVer01)

Occurs when the user presses the mouse button while an object has the focus.

Syntax

Private Sub object_MouseClick (Btn)

The MouseClick event syntax has these parts:

Part | Type | Description
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


MouseDown event

MouseDown Event (StepButtonVer01)

Occurs when the user presses the mouse button while an object has the focus.

Syntax

Private Sub object_MouseDown (MouseButton, Btn)

The MouseDown event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


MouseMove event

MouseMove Event (StepButtonVer01)

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseMove (MouseButton, Btn)

The MouseMove event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


MouseUp event

MouseUp Event (StepButtonVer01)

Occurs when the user releases the mouse button while an object has the focus.

Syntax

Private Sub object_MouseUp (MouseButton, Btn)

The MouseUp event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


ValueChange event

ValueChange Event (StepButtonVer01)

Occurs when Value property is changing.

Syntax

Private Sub object_ValueChange (Value)

Part | Type | Description
Value | Double | Meaning of value.


VertSliderVer01 ActiveX Control

Version 1.01

Properties

Events

The VertSliderVer01 ActiveX Control is a vertical slider.


Properties

Properties (VertSliderVer01)

Appearance
SliderSize Border
Colors
BackColor BorderColor
Behavior
Value | Speed
Max | Min
Enabled | Downed
Misc
KeyCode


BackColor Property

BackColor Property (VertSliderVer01)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


Border Property

Border Property (VertSliderVer01)

Returns or sets type of border.

Syntax

object.Border [ = AmpBarBorder ]

The settings for return value are:

Setting | Meaning | Description
abbNone | 0 | Border is absent.
abbSingle | 1 | Border is single.
abbLowered | 2 | Border is lowered.
abbRaised | 3 | Border is raised.


BorderColor Property

BorderColor Property (VertSliderVer01)

Returns or sets RGB color of border using standard Windows palette.

Syntax

object.BorderColor [ = OLE_COLOR ]


Downed Property

Downed Property (VertSliderVer01)

Returns or sets flag indicating if slider is downed while pressing on it or not.

Syntax

object.Downed [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is downed.
False | Slider isn't downed.


Enabled Property

Enabled Property (VertSliderVer01)

Returns or sets flag indicating if slider is enabled or not.

Syntax

object.Enabled [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is enabled.
False | Slider isn't enabled.


KeyCode Property

KeyCode Property (VertSliderVer01)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (VertSliderVer01)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


Min Property

Min Property (VertSliderVer01)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


Orientation Property

SliderSize Property (VertSliderVer01)

Returns or sets size of slider.

Syntax

object.SliderSize [ = SliderSizeStyle ]

The settings for return value are:

Setting | Meaning | Description
sssSmall | 0 | Slider has a small size.
sssBig | 1 | Slider has a big size.


Speed Property

Speed Property (VertSliderVer01)

Returns or sets speed of moving of slider.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Value Property

Value Property (VertSliderVer01)

Returns or sets value in slider.

Syntax

object.Value [ = Long]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly. If Value is changing then ValueChange event is generated.


Events

Events (VertSliderVer01)

ValueChange | MouseMove
MouseUp | MouseDown


MouseDown event

MouseDown Event (VertSliderVer01)

Occurs when the user presses the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseDown (Button, Shift, x, y)

The MouseDown event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseMove event

MouseMove Event (VertSliderVer01)

Occurs when the user moves the mouse. This is standard ActiveX event.

Syntax

Private Sub object_MouseMove (Button, Shift, x, y)

The MouseMove event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseUp event

MouseUp Event (VertSliderVer01)

Occurs when the user releases the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseUp (Button, Shift, x, y )

The MouseUp event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


ValueChange event

ValueChange Event (VertSliderVer01)

Occurs when Value property is changing.

Syntax

Private Sub object_ValueChange (Value)

Part | Type | Description
Value | Long | Meaning of value.


VertSliderVer01 ActiveX Control

VertSliderVer02 ActiveX Control

Version 1.01

Properties

Events

The VertSliderVer02 ActiveX Control is a vertical slider.


Properties

Properties (VertSliderVer02)

Appearance
Border
Colors
BackColor BorderColor
SliderBackColor
Behavior
Value | Speed
Max | Min
Enabled
Misc
KeyCode


BackColor Property

BackColor Property (VertSliderVer02)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


Border Property

Border Property (VertSliderVer02)

Returns or sets type of border.

Syntax

object.Border [ = AmpBarBorder ]

The settings for return value are:

Setting | Meaning | Description
abbNone | 0 | Border is absent.
abbSingle | 1 | Border is single.
abbLowered | 2 | Border is lowered.
abbRaised | 3 | Border is raised.


BorderColor Property

BorderColor Property (VertSliderVer02)

Returns or sets RGB color of border using standard Windows palette.

Syntax

object.BorderColor [ = OLE_COLOR ]


Enabled Property

Enabled Property (VertSliderVer02)

Returns or sets flag indicating if slider is enabled or not.

Syntax

object.Enabled [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is enabled.
False | Slider isn't enabled.


KeyCode Property

KeyCode Property (VertSliderVer02)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (VertSliderVer02)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


Min Property

Min Property (VertSliderVer02)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


SliderBackColor Property

SliderBackColor Property (VertSliderVer02)

Returns or sets RGB color of slider background using standard Windows palette.

Syntax

object.SliderBackColor [ = OLE_COLOR ]


Speed Property

Speed Property (VertSliderVer02)

Returns or sets speed of moving of slider.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Value Property

Value Property (VertSliderVer02)

Returns or sets value in slider.

Syntax

object.Value [ = Long]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly. If Value is changing then ValueChange event is generated.


Events

Events (VertSliderVer02)

ValueChange | MouseMove
MouseUp | MouseDown


MouseDown event

MouseDown Event (VertSliderVer02)

Occurs when the user presses the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseDown (Button, Shift, x, y)

The MouseDown event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseMove event

MouseMove Event (VertSliderVer02)

Occurs when the user moves the mouse. This is standard ActiveX event.

Syntax

Private Sub object_MouseMove (Button, Shift, x, y)

The MouseMove event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseUp event

MouseUp Event (VertSliderVer02)

Occurs when the user releases the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseUp (Button, Shift, x, y )

The MouseUp event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


ValueChange event

ValueChange Event (VertSliderVer02)

Occurs when Value property is changing.

Syntax

Private Sub object_ValueChange (Value)

Part | Type | Description
Value | Long | Meaning of value.


StepButtonVer01 ActiveX Control

VolumeButtonVer01 ActiveX Control

Version 1.01

Properties

Events

The VolumeButtonVer01 ActiveX Control is control for changing Volume of playback.


Properties

Properties (VolumeButtonVer01)

Appearance
BtnBorder
Colors
BackColor IndColor
Behavior
Value | Speed
Max | Min
StartPos | Enabled
Misc
KeyCode


BackColor Property

BackColor Property (VolumeButtonVer01)

Returns or sets RGB color of background using standard Windows palette.

Syntax

object.BackColor [ = OLE_COLOR ]


BtnBorder Property

BtnBorder Property (VolumeButtonVer01)

Returns or sets type of border.

Syntax

object.BtnBorder [ = ButtonBorder ]

The settings for return value are:

Setting | Meaning | Description
bbNone | 0 | Border is absent.
bbSingle | 1 | Border is single.


Enabled Property

Enabled Property (VolumeButtonVer01)

Returns or sets flag indicating if button is enabled or not.

Syntax

object.Enabled [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is enabled.
False | Slider isn't enabled.


IndColor Property

IndColor Property (VolumeButtonVer01)

Returns or sets indicator color.

Syntax

object.IndColor [ = IndColor ]

The settings for return value are:

Setting | Meaning | Description
icLime | 1 | Indicator is green.
icWinkLime | 2 | Indicator is blinking green.
icRed | 3 | Indicator is red.
icWinkRed | 4 | Indicator is blinking red.
icYellow | 5 | Indicator is yellow.
icWinkYellow | 6 | Indicator is blinking yellow.
icAqua | 7 | Indicator is aqua.
icWinkAqua | 8 | Indicator is blinking aqua.
icBlue | 9 | Indicator is blue.
icWinkBlue | 10 | Indicator is blinking blue.
icFuchsia | 11 | Indicator is pink.
icWinkFuchsia | 12 | Indicator is blinking pink.


KeyCode Property

KeyCode Property (VolumeButtonVer01)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (VolumeButtonVer01)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


Min Property

Min Property (VolumeButtonVer01)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


Speed Property

Speed Property (VolumeButtonVer01)

Returns or sets speed of rotating of button.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Value Property

StartPos Property (VolumeButtonVer01)

Returns or sets starting position of button.

Syntax

object.StartPos [ = Double ]


Value Property

Value Property (VolumeButtonVer01)

Returns or sets value in button.

Syntax

object.Value [ = Long ]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly.


Events

Events (VolumeButtonVer01)

MouseClick | MouseMove
MouseUp | MouseDown
ValueChange


MouseClick event

MouseClick Event (VolumeButtonVer01)

Occurs when the user presses the mouse button while an object has the focus.

Syntax

Private Sub object_MouseClick (Btn)

The MouseClick event syntax has these parts:

Part | Type | Description
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


MouseDown event

MouseDown Event (VolumeButtonVer01)

Occurs when the user presses the mouse button while an object has the focus.

Syntax

Private Sub object_MouseDown (MouseButton, Btn)

The MouseDown event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


MouseMove event

MouseMove Event (VolumeButtonVer01)

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseMove (MouseButton, Btn)

The MouseMove event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


MouseUp event

MouseUp Event (VolumeButtonVer01)

Occurs when the user releases the mouse button while an object has the focus.

Syntax

Private Sub object_MouseUp (MouseButton, Btn)

The MouseUp event syntax has these parts:

Part | Type | Description
MouseButton | Integer | Specifies pressed mouse button.
Btn | Boolean | Specifies cursor location.

The settings for Btn value are:

Setting | Description
True | Cursor is on button.
False | Cursor is out of button.


ValueChange event

ValueChange Event (VolumeButtonVer01)

Occurs when Value property is changing.

Syntax

Private Sub object_ValueChange (Value)

Part | Type | Description
Value | Long | Meaning of value.


StepButtonVer01 ActiveX Control

VolumeButtonVer02 ActiveX Control

Version 1.01

Properties

Events

The VolumeButtonVer02 ActiveX Control is control for changing Volume of playback.


Properties

Properties (VolumeButtonVer02)

Appearance
Style
Behavior
Value | Speed
Max | Min
Enabled
Misc
KeyCode


Enabled Property

Enabled Property (VolumeButtonVer02)

Returns or sets flag indicating if button is enabled or not.

Syntax

object.Enabled [ = Boolean ]

The settings for return value are:

Setting | Description
True | Slider is enabled.
False | Slider isn't enabled.


KeyCode Property

KeyCode Property (VolumeButtonVer02)

Returns or sets string with registration code.

Syntax

object.KeyCode [ = String]


Max Property

Max Property (VolumeButtonVer02)

Returns or sets maximal meaning for Value property.

Syntax

object.Max [ = Long]


MinValue Property

Min Property (VolumeButtonVer02)

Returns or sets minimal meaning for Value property.

Syntax

object.Min [ = Long]


Speed Property

Speed Property (VolumeButtonVer02)

Returns or sets speed of rotating of button.

Syntax

object.Speed [ = Double ]

Remarks

This property can take only positive values.


Style Property

Style Property (VolumeButtonVer02)

Returns or sets style of Volume button.

Syntax

object.Style [ = VolBtnStyle ]

The settings for return value are:

Setting | Meaning | Description
vbsRight | 0 | Amplify bar has standard style.
vbsMirrorRight | 1 | Amplify bar has color transforming style.
vbsLeft | 2 |
vbsMirrorLeft | 3 |
vbsTop | 4 |
vbsMirrorTop | 5 |
vbsDown | 6 |
vbsMirrorDown | 7 |


Value Property

Value Property (VolumeButtonVer02)

Returns or sets value of Volume in button.

Syntax

object.Value [ = Long ]

Remarks

Maximal and minimal values are set by Max and Min properties accordingly.


Events

Events (VolumeButtonVer02)

ValueChange | MouseMove
MouseUp | MouseDown


MouseDown event

MouseDown Event (VolumeButtonVer02)

Occurs when the user presses the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseDown (Button, Shift, x, y)

The MouseDown event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseMove event

MouseMove Event (VolumeButtonVer02)

Occurs when the user moves the mouse. This is standard ActiveX event.

Syntax

Private Sub object_MouseMove (Button, Shift, x, y)

The MouseMove event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


MouseUp event

MouseUp Event (VolumeButtonVer02)

Occurs when the user releases the mouse button while an object has the focus. This is standard ActiveX event.

Syntax

Private Sub object_MouseUp (Button, Shift, x, y )

The MouseUp event syntax has these parts:

Part | Type | Description
Button | Integer | Specifies pressed mouse button.
Shift | Integer | Specifies pressed or not SHIFT key.
x | Single | Specifies x coordinate of cursor.
y | Single | Specifies y coordinate of cursor.


ValueChange event

ValueChange Event (VolumeButtonVer02)

Occurs when Value property is changing.

Syntax

Private Sub object_ValueChange (Value)

Part | Type | Description
Value | Long | Meaning of value.


About

NCTDesignBox
was developed by NCT company

http://www.nctsoft.com

Leading programmer: | Lev Bannov
Programmer: | Sergey Nagaev
Technical writer: | Alexander Konioukhov
Technical support: | support@nctsoft.com